package com.engine.jucailinkq.common.util;

import com.engine.jucailinkq.attendance.attendanceanalysis.cmd.getclockInpoint.biz.AbstractAdjustClockPointAction;

import java.util.List;
import java.util.Map;

/**
 * 扩展类
 */
public class ExtensionClassHolder {
    /**
     * 打卡卡点扩展类
     */
    private static ThreadLocal<List<AbstractAdjustClockPointAction>> adjustClockPointActionThreadLocal = new ThreadLocal<>();

    /**
     * 全局设置变量
     */
    private static ThreadLocal<Map<String,Object>> globalSetMapThreadLocal = new ThreadLocal<>();


    public static void setAdjustClockPointAction(List<AbstractAdjustClockPointAction> adjustClockPointActionList) {
        adjustClockPointActionThreadLocal.set(adjustClockPointActionList);
    }

    public static List<AbstractAdjustClockPointAction> getAdjustClockPointAction() {
        return adjustClockPointActionThreadLocal.get();
    }

    public static void setGlobalSetMap(Map<String,Object> map) {
        globalSetMapThreadLocal.set(map);
    }

    public static Map<String,Object> getGlobalSetMap() {
        return globalSetMapThreadLocal.get();
    }
}
